Pix ProcessamentoPix Processamento Docs
API EndpointsCallbacks

Re-send webhook failures

POST
/user/callbacks/resend/webhook/{webhookId}

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

webhookId*string

ID of the webhook whose failed deliveries should be re-sent.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.exemplo.processamento.com/v1/user/callbacks/resend/webhook/kx7m2p9q4r8t1v5w3y6z0a2b"
{
  "message": "37 callbacks reenviados com sucesso para a fila.",
  "count": 37
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Webhook não encontrado, está inativo, ou não pertence ao usuário",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 429,
  "error": "Too Many Requests",
  "message": "Limite de reenvios atingido. Tente novamente em 1 minuto.",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}